import type { IExclusiveGroup } from '@kernelsoft/lowcode-designer';
import { IPublicModelExclusiveGroup, IPublicModelNode } from '@kernelsoft/lowcode-types';
import { conditionGroupSymbol } from '../symbols';
export declare class ConditionGroup implements IPublicModelExclusiveGroup {
    private [conditionGroupSymbol];
    constructor(conditionGroup: IExclusiveGroup | null);
    get id(): string;
    get title(): import("@kernelsoft/lowcode-types").IPublicTypeTitleContent;
    get firstNode(): IPublicModelNode;
    setVisible(node: IPublicModelNode): void;
    static create(conditionGroup: IExclusiveGroup | null): any;
}
