import { IDropLocation as InnerDropLocation } from '@kernelsoft/lowcode-designer';
import { dropLocationSymbol } from '../symbols';
import { IPublicModelDropLocation, IPublicTypeLocationDetail, IPublicModelLocateEvent } from '@kernelsoft/lowcode-types';
export declare class DropLocation implements IPublicModelDropLocation {
    private readonly [dropLocationSymbol];
    constructor(dropLocation: InnerDropLocation);
    static create(dropLocation: InnerDropLocation | null): IPublicModelDropLocation | null;
    get target(): import("@kernelsoft/lowcode-types").IPublicModelNode;
    get detail(): IPublicTypeLocationDetail;
    get event(): IPublicModelLocateEvent;
    clone(event: IPublicModelLocateEvent): IPublicModelDropLocation;
}
