import { ILowCodePluginRuntime } from '@kernelsoft/lowcode-designer';
import { IPublicModelPluginInstance } from '@kernelsoft/lowcode-types';
import { pluginInstanceSymbol } from '../symbols';
export declare class PluginInstance implements IPublicModelPluginInstance {
    private readonly [pluginInstanceSymbol];
    constructor(pluginInstance: ILowCodePluginRuntime);
    get pluginName(): string;
    get dep(): string[];
    get disabled(): boolean;
    set disabled(disabled: boolean);
    get meta(): import("@kernelsoft/lowcode-types").IPublicTypePluginMeta;
}
