import { IPublicModelSimulatorRender } from '@kernelsoft/lowcode-types';
import { simulatorRenderSymbol } from '../symbols';
import { BuiltinSimulatorRenderer } from '@kernelsoft/lowcode-designer';
export declare class SimulatorRender implements IPublicModelSimulatorRender {
    private readonly [simulatorRenderSymbol];
    constructor(simulatorRender: BuiltinSimulatorRenderer);
    static create(simulatorRender: BuiltinSimulatorRenderer): IPublicModelSimulatorRender;
    get components(): Record<string, import("@kernelsoft/lowcode-designer").Component>;
    rerender(): void;
}
