import { dragObjectSymbol } from '../symbols';
import { IPublicModelDragObject, IPublicModelDragObject as InnerDragObject, IPublicTypeNodeSchema } from '@kernelsoft/lowcode-types';
export declare class DragObject implements IPublicModelDragObject {
    private readonly [dragObjectSymbol];
    constructor(dragObject: InnerDragObject);
    static create(dragObject: InnerDragObject | null): IPublicModelDragObject | null;
    get type(): import("@kernelsoft/lowcode-types").IPublicEnumDragObjectType;
    get nodes(): import("@kernelsoft/lowcode-types").IPublicModelNode[];
    get data(): IPublicTypeNodeSchema | IPublicTypeNodeSchema[];
}
